declare const SetterTypeMapSetter: {
    INPUT_SETTER: import("react").LazyExoticComponent<import("react").ComponentType<any>>;
    SCRIPT_INPUT_SETTER: import("react").LazyExoticComponent<import("react").ComponentType<any>>;
    SEARCH_SELECT_SETTER: import("react").LazyExoticComponent<{
        (props: any): import("react").JSX.Element;
        displayName: string;
    }>;
    BASE_SELECT_SETTER: import("react").LazyExoticComponent<{
        (props: any): import("react").JSX.Element;
        displayName: string;
    }>;
    EVENT_HANDLER_SETTER: import("react").LazyExoticComponent<import("react").ComponentType<any>>;
    EVENT_TARGET_ACTION_SELECT_SETTER: import("react").LazyExoticComponent<import("react").FC<import("./SelectSetter/interface").BaseSelectSetterProps>>;
    EVENT_ACTION_SELECT_SETTER: import("react").LazyExoticComponent<import("react").FC<import("./SelectSetter/interface").BaseSelectSetterProps>>;
    CONTAINER_DEFAULT_VIEW_SETTER: import("react").LazyExoticComponent<import("react").FC<import("./ContainerSetter/interface").ContainerDefaultViewKeySetterProps>>;
    CONTAINER_VIEW_SETTER: import("react").LazyExoticComponent<import("react").ComponentType<any>>;
    BORDER_SETTER: import("react").LazyExoticComponent<import("react").ComponentType<any>>;
    STYLE_CONTAINER_SETTER: import("react").LazyExoticComponent<import("react").ComponentType<any>>;
    COLOR_PICKER_SETTER: import("react").LazyExoticComponent<import("react").ComponentType<any>>;
    MEASURE_CHECK_INPUT_SETTER: import("react").LazyExoticComponent<import("react").ComponentType<any>>;
};
export declare type SetterType = keyof typeof SetterTypeMapSetter;
export declare const getSetterByType: (type: SetterType) => import("react").LazyExoticComponent<import("react").ComponentType<any>> | import("react").LazyExoticComponent<{
    (props: any): import("react").JSX.Element;
    displayName: string;
}> | import("react").LazyExoticComponent<{
    (props: any): import("react").JSX.Element;
    displayName: string;
}> | import("react").LazyExoticComponent<import("react").FC<import("./SelectSetter/interface").BaseSelectSetterProps>> | import("react").LazyExoticComponent<import("react").FC<import("./ContainerSetter/interface").ContainerDefaultViewKeySetterProps>>;
export {};
